%define module_version 0.06
%define module_name Mojolicious-Plugin-INIConfig-Extended
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Config/Tiny.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec/Functions.pm) perl(FindBin.pm) perl(Mojolicious.pm) perl(Mojolicious/Plugin/INIConfig.pm) perl(Test/Mojo/More.pm) perl(Test/Most.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.06
Release: alt1
Summary: Mojolicious Plugin to overload a Configuration 
Group: Development/Perl
License: gpl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/H/HE/HESCO/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
the Mojolicious-Plugin-INIConfig-Extended manpage 
provides configuration inheritance and overloading

the Mojolicious::Plugin::INIConfig manpage is a INI configuration plugin that
preprocesses its input with the Mojo::Template manpage.

The application object can be accessed via `$app' or the `app' function. You
can extend the normal config file `myapp.ini' with `mode' specific ones
like `myapp.$mode.ini'. A default configuration filename will be generated
from the value of the section on "moniker" in the Mojolicious manpage.

This ::INIConfig::Extended module seeks to do for Mojolicious::Plugin::INIConfig, 
what my earlier cpan contribution, Config::Simple::Extended 
did for Config::Simple.  

The code here barely refactors the INIConfig plugin's ->register method 
to route to a new ->inherit method when appropriate.  I copied over the 
test suite from ::INIConfig and ::INIConfig::Extended introduces no 
regression and may be used as a drop in replacement.
%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE README.md Changes
%perl_vendor_privlib/M*

%changelog
* Thu Apr 07 2016 Igor Vlasenko <viy@altlinux.ru> 0.06-alt1
- regenerated from template by package builder

* Wed Mar 23 2016 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1
- initial import by package builder

